Subject: Re: [PATCH net 0/2] net: bcmgenet: TX reclaim and DMA fixes

From: Florian Fainelli <[email-masked]>
Date: Mon, 22 Sep 2014 11:50:05 -0700

On 09/22/2014 11:46 AM, David Miller wrote:
> From: Florian Fainelli <[email-masked]>
> Date: Thu, 18 Sep 2014 17:48:15 -0700
> 
>> This patch set contains one fix for an accounting problem while reclaiming
>> transmitted buffers having fragments, and the second fix is to make sure
>> that the DMA shutdown is properly controlled.
> 
> Florian I am seriesly irritated, are you even build testing these
> changes?
> 
> bcmgenet_dma_teardown() is a static function declared far after the
> new call you are adding in patch #2, so now we get:
> 
> drivers/net/ethernet/broadcom/genet/bcmgenet.c: In function ‘bcmgenet_fini_dma’:
> drivers/net/ethernet/broadcom/genet/bcmgenet.c:1752:2: error: implicit declaration of function ‘bcmgenet_dma_teardown’ [-Werror=implicit-function-declaration]
> drivers/net/ethernet/broadcom/genet/bcmgenet.c: At top level:
> drivers/net/ethernet/broadcom/genet/bcmgenet.c:2111:12: error: static declaration of ‘bcmgenet_dma_teardown’ follows non-static declaration
> drivers/net/ethernet/broadcom/genet/bcmgenet.c:1752:2: note: previous implicit declaration of ‘bcmgenet_dma_teardown’ was here
> 
> I want to make it clear to you that whatever time you think you're
> saving by skipping even the most basic compilation test, goes directly
> to _ME_ and you are therefore having a negative impact on every single
> developer who is also waiting for me to review and integrate their
> networking changes.
> 
> Please do not do this any more.

Very sorry about that, v2 is on your way, I will be more careful.
--
Florian